Subject: Re: [Dime] New version of draft-wu-dime-local-keytran
From: "Glen Zorn" <[email-masked]>
To: "'Sebastien Decugis'" <[email-masked]>
Cc: [email-masked]
Date: Tue, 8 Dec 2009 19:20:19 -0800
List-Id: Diameter Maintanence and Extentions Working Group <dime.ietf.org>

Sebastien Decugis [mailto:[email-masked]] writes:

> Hi Glen, Qin, all,
> 
> By quickly looking into the new version, a few additional comments came
> to my mind:
> 
> In section 3.1, I would like to propose a change to the ABNF. I think
> the Key-Type AVP should be in a fixed position (actually I was under the
> impression that this was already decided, but anyway), like this:
> 
>    Key ::= < AVP Header: AC1 >
>              < Key-Type >
>              ...
> 
> 
> In section 3.1.1 (definition of Key-Type AVP), I think some of the
> defined values should be removed, as follow:
> - rMSK (4) : As I understand, there is no difference between rMSK and
> MSK, so we may not need a different type for this one ? (not sure)

How would you deliver an MSK and rMSK in the same message, then?

...